Skip to main content

Get Spreadsheet

GetSpreadsheet retrieves a spreadsheet and its metadata.

It calls GET https://sheets.googleapis.com/v4/spreadsheets/{spreadsheetId}.

The activity has 4 tabs: Configuration, Auth, Input, and Output.

Configuration

FieldRequiredDescription
NameOptionalName of the step, should be unique within this workflow.
DescriptionOptionalDescribe the purpose or function of this step.
Spreadsheet IdOptionalEnter the ID of the spreadsheet to access.
RangesOptionalEnter the ranges for the query, if applicable.
Include Grid DataOptionalSpecify whether to include grid data in the response.
Exclude Tables In Banded RangesOptionalSpecify whether to exclude tables in banded ranges.

Auth

FieldRequiredDescription
Auth TypeOptionalThe authentication method for the request. OAuth 2 is the only option, and the default.
Auth ResourceOptionalOAuth resource containing credentials.

Input

This activity is built on the REST Client, so the Input tab is the generic HTTP request rather than a Google Sheets-shaped payload.

FieldRequiredData TypeDescription
TargetRequiredObjectThe HTTP request.

Output

The activity returns an httpResponse object.

FieldData TypeDescription
status.codeIntegerNumeric HTTP status code.
status.messageStringShort message associated with the HTTP status.
headersObjectHTTP response headers.
bodyObjectParsed body of the response.

The response body carries:

FieldData TypeDescription
spreadsheetIdStringThe ID of the spreadsheet. This field is read-only.
propertiesObjectProperties of a spreadsheet.
sheetsArray
namedRangesArray
spreadsheetUrlStringThe url of the spreadsheet. This field is read-only.
dataSourcesArray